Bug 159916 - CAN-2005-1762 x86_64 crash (ptrace-canonical)
Summary: CAN-2005-1762 x86_64 crash (ptrace-canonical)
Status: CLOSED DUPLICATE of bug 154451
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
(Show other bugs)
Version: 4.0
Hardware: x86_64 Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Peter Staubach
QA Contact: Brian Brock
URL:
Whiteboard: source=vendorsec,public=20050517
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-09 09:29 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 15:56:06 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Mark J. Cox 2005-06-09 09:29:43 UTC
The following upstream patch checks if ptrace RIP is canonical; without this a
user can cause a crash.

http://www.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=d1099e8a18960693c04507bdd7b9403db70bfd97

Comment 1 Peter Staubach 2005-07-15 15:56:06 UTC
This appears to be a duplicate of BZ, 154451.

*** This bug has been marked as a duplicate of 154451 ***


Note You need to log in before you can comment on or make changes to this bug.